The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Configuration Push on the Suricata Sensor

Prev Next

This URL deploys the configuration changes on the Suricata Sensor.

Resource URL

sensor/<sensor_ID>/action/update_sensor_config

or

sensor/<stack_ID>/action/update_sensor_config

Request Parameters

URL parameters:

Field Name

Description

Data Type

Mandatory

sensor_ID

Sensor ID of the Suricata Sensor

Number

Yes

stack_ID

Stack ID of the Suricata Sensor

Number

Yes

Payload parameters:

Field Name

Description

Data Type

deviceName

Name of the device

String

pendingChanges

Details of pending changes

Object

isConfigurationChanged

Set as true

Boolean

isSignatureSetConfigurationChanged

Set as true

Boolean

isSuricataConfigurationChanged

Set as true

Boolean

isSigsetConfigPushRequired

Set as true

Boolean

isSuricataUpdateRequired

Set as true

Boolean

Response Parameters

Following fields are returned if the request parameters are correct.

Field Name

Description

Data Type

RequestId

Request ID details

String

Example

Request

PUT https://<IPSM_IP>/sdkapi/sensor/1039/action/update_sensor_config

Payload

{
    "deviceName" : "suricata-42",
    "pendingChanges" : {
        "isConfigurationChanged" : true,
        "isSignatureSetConfigurationChanged" : true,
        "isSuricataConfigurationChanged" : true
    },
    "isSigsetConfigPushRequired" : true,
    "isSuricataUpdateRequired" : true
}

Response

{    
    "RequestId": "1769734863771"
}

Error Information

The following error code is returned by this URL:

S.No

Generic Error Codes

ErrorMessage

Error Reason

1

1001

Bad URL - HTTP 404 Not Found

Mistyped URL

Internal Error – Null

Incorrect Input data, authentication issues